<?php
// Indicamos un Timezone
date_default_timezone_set("UTC");
 
// Indicamos el directorio donde se guardarán
// los archivos de error.
define("ERRORS", dirname(dirname(__FILE__)) . "/public/errors");
 
function logger($status = 200) {
    file_put_contents(
        "php://stdout", 
        sprintf("[%s] %s:%s [%s]: %sn\n",
            date("D M j H:i:s Y"), 
            $_SERVER["REMOTE_ADDR"],
            $_SERVER["REMOTE_PORT"], 
            $status, 
            $_SERVER["REQUEST_URI"]
        )
    );
}
 
// Si el archivo existe, devolvemos false y dejamos que el 
// servidor web se haga cargo de la petición.
$path = parse_url($_SERVER["REQUEST_URI"], PHP_URL_PATH);
if (file_exists($_SERVER["DOCUMENT_ROOT"] . $path)) {
    return false;
}
 
// caso contrario, retornamos un archivo de
// error 404 que hemos creado nosotros.
logger(404);
http_response_code(404);
include ERRORS . "/404.html";